"use strict";

this.name = "market_cooldown";
this.author = "spara";
this.description = "Create a fade out effect to the markets";

this.startUp = function() {
	//this is the number of jumps needed to fade the effect
	this.$jumpsNeeded = 5.0;

	//fadecounter is a number between ]0, 10]
	//this calculates the step the counter needs to take each time. don't touch
	this.$step = 10.0 / this.$jumpsNeeded;
	
	if (missionVariables.marketCooldown) {
		this.$storedMarkets = JSON.parse(missionVariables.marketCooldown);
	}
	else this.$storedMarkets = new Object();
}

//store market on entering witchspace
this.shipWillEnterWitchspace = function() {
	if (system.isInterstellarSpace) return;
	var sMarket = system.mainStation.market;
	var marketObj = new Object();
	for (var i in sMarket) {
		marketObj[i] = sMarket[i].quantity;
	}
	marketObj.fadeCounter = 0.0;
	this.$storedMarkets[system.ID] = marketObj;
}

//advance counters on exiting withcspace. when a counter reaches 10, delete the market entry.
this.shipWillExitWitchspace = function() {
	for (var i in this.$storedMarkets) {
		//rounding used here for rounding possible rounding error on using fractional step counter.
		if (Math.round(this.$storedMarkets[i].fadeCounter) >= 10){
			delete this.$storedMarkets[i];
		}
		else {
			this.$storedMarkets[i].fadeCounter += this.$step;
		}
	}
}

this.playerWillSaveGame = function() {
	missionVariables.marketCooldown = JSON.stringify(this.$storedMarkets);
}

//clear all saved markets on galactic jump.
this.playerEnteredNewGalaxy = function() {
	delete this.$storedMarkets;
	this.$storedMarkets = new Object();
}
