"use strict";

this.name = "market_cooldown_price_modifier";
this.author = "spara";
this.description = "Create a fade out effect to the markets";

this.updateGeneralCommodityDefinition = function(goodDefinition, station, systemParam) {

	var ws = worldScripts["market_cooldown"];

	//only change the primary market
	if (system.ID !== -1 || station || !ws) {
		return goodDefinition;
	}

	//old market exists, calculate a new price
	if (ws.$storedMarkets[systemParam]) {
		var oldQuantity = ws.$storedMarkets[systemParam][goodDefinition.key];
		var percentageMultiplier = ws.$storedMarkets[systemParam].fadeCounter / 10.0;
		var proposedQuantity = goodDefinition.quantity;
		var diff = Math.round((proposedQuantity - oldQuantity) * percentageMultiplier);
		goodDefinition.quantity = oldQuantity + diff;
	}
	return goodDefinition;
}
